View Issue Details

IDProjectCategoryView StatusLast Update
0002394FreeCADFeaturepublic2016-01-19 02:06
ReporteryanncadAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002394: Help menu (website/documentation/forum) does not open localized pages
DescriptionReproducible on 0.15 and 0.16.

When using FreeCAD application in French :
- the menu Help->Website should open http://freecadweb.org/?lang=fr_FR
- the menu Help->Users documentation should open http://www.freecadweb.org/wiki/index.php?title=User_hub/fr
- the menu Help->Python scripting documentation should open http://www.freecadweb.org/wiki/index.php?title=Power_users_hub/fr
- the menu Help->FreeCAD forum should open the forum in French (http://forum.freecadweb.org/viewforum.php?f=12)

Same for other non-English languages when the adequate localized page exist.
TagsNo tags attached.

Activities

yorik

2016-01-08 16:06

administrator   ~0006688

I'm not sure the forum should open directly at the french subforum, but the others should indeed be translatable.

yorik

2016-01-08 16:07

administrator   ~0006689

Last edited: 2016-01-08 16:07

View 2 revisions

note to self: src/Gui/CommandStd.cpp l411

Issue History

Date Modified Username Field Change
2016-01-08 10:00 yanncad New Issue
2016-01-08 16:06 yorik Note Added: 0006688
2016-01-08 16:06 yorik Assigned To => yorik
2016-01-08 16:06 yorik Status new => assigned
2016-01-08 16:07 yorik Note Added: 0006689
2016-01-08 16:07 yorik Note Edited: 0006689 View Revisions
2016-01-11 15:37 yorik Changeset attached => FreeCAD Master master 5c1ab743
2016-01-11 15:37 yorik Status assigned => closed
2016-01-11 15:37 yorik Resolution open => fixed
2016-01-19 02:06 yorik Fixed in Version => 0.16